import Http from "@/utils/http"

// 获取二维码
export const getQrcode = params => {
    return Http.post("/api/login/qrcode", params)
}

// 监听扫码登录 状态
export const monitorState = params => {
    return Http.post("/api/login/monitor", params)
}

// 获取列表
export const getList = params => {
    return Http.post("/api/lists", params)
}

// 点击创建音乐
export const Generate = params => {
    return Http.post("/api/music/generate", params)
}

// 监听音乐生成状态
export const monitorMusic = params => {
    return Http.post("/api/music/monitor", params)
}

// 获取音乐详情
export const getDetails = params => {
    return Http.post("/api/details", params)
}

// 歌词相关 - 创建歌词
export const lyricsGenerateHttp = params => {
    return Http.post("/api/lyrics/generate", params)
}

// 歌词相关 - 创建歌词
export const lyricsMonitorHttp = params => {
    return Http.post("/api/lyrics/monitor", params)
}

// 登录相关 - 退出登录
export const quitLoginHttp = params => {
    return Http.post("/api/login/quit", params)
}

// 音乐相关 - 点赞
export const likeDetailsHttp = params => {
    return Http.post("/api/details/like", params)
}

